# Package com.fasterxml.jackson.dataformat.yaml.snakeyaml.error

Replacement for shaded-in package that Jackson versions up to and including 2.7 had; with 2.8 (and later 2.x) we unfortunately fake to sort of fake formerly relocated types.

See: Description

Class Summary
Mark: Deprecated Should use basic `JsonLocation` instead

Exception Summary
MarkedYAMLException: Deprecated Since 2.8
YAMLException: Deprecated Since 2.8

## Package com.fasterxml.jackson.dataformat.yaml.snakeyaml.error Description

Replacement for shaded-in package that Jackson versions up to and including 2.7 had; with 2.8 (and later 2.x) we unfortunately fake to sort of fake formerly relocated types. This is needed to improve backwards compatibility with frameworks like DropWizard.

New code based on Jackson 2.8 and later should NOT use types in this package but instead rely on `JacksonYAMLParseException`